Package org.jbpm.runtime.manager.impl.error

## Class DefaultExecutionErrorStorage

- java.lang.Object
- - org.jbpm.runtime.manager.impl.error.DefaultExecutionErrorStorage

- All Implemented Interfaces:
    `org.kie.internal.runtime.error.ExecutionErrorStorage`

      public class DefaultExecutionErrorStorage
      extends Object
      implements org.kie.internal.runtime.error.ExecutionErrorStorage

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultExecutionErrorStorage​(org.kie.api.runtime.Environment environment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `acknowledge​(String user, String... errorIds)` |
    `protected <R> R` | `call​(Function<javax.persistence.EntityManager,​R> function)` |
    `org.kie.internal.runtime.error.ExecutionError` | `get​(String errorId)` |
    `protected org.drools.persistence.api.TransactionManager` | `getTransactionManager​(org.kie.api.runtime.Environment environment)` |
    `protected boolean` | `isActive()` |
    `protected boolean` | `isSpringTransactionManager​(Class<?> clazz)` |
    `List<org.kie.internal.runtime.error.ExecutionError>` | `list​(Integer page, Integer pageSize)` |
    `List<org.kie.internal.runtime.error.ExecutionError>` | `listByActivity​(String activityName, Integer page, Integer pageSize)` |
    `List<org.kie.internal.runtime.error.ExecutionError>` | `listByDeployment​(String deploymentId, Integer page, Integer pageSize)` |
    `List<org.kie.internal.runtime.error.ExecutionError>` | `listByProcessInstance​(Long processInstanceId, Integer page, Integer pageSize)` |
    `org.kie.internal.runtime.error.ExecutionError` | `store​(org.kie.internal.runtime.error.ExecutionError error)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultExecutionErrorStorage

          public DefaultExecutionErrorStorage​(org.kie.api.runtime.Environment environment)

  - ### Method Detail

    - #### store

          public org.kie.internal.runtime.error.ExecutionError store​(org.kie.internal.runtime.error.ExecutionError error)

      Specified by:
        `store` in interface `org.kie.internal.runtime.error.ExecutionErrorStorage`

    - #### list

          public List<org.kie.internal.runtime.error.ExecutionError> list​(Integer page,
                                                                          Integer pageSize)

      Specified by:
        `list` in interface `org.kie.internal.runtime.error.ExecutionErrorStorage`

    - #### get

          public org.kie.internal.runtime.error.ExecutionError get​(String errorId)

      Specified by:
        `get` in interface `org.kie.internal.runtime.error.ExecutionErrorStorage`

    - #### acknowledge

          public void acknowledge​(String user,
                                  String... errorIds)

      Specified by:
        `acknowledge` in interface `org.kie.internal.runtime.error.ExecutionErrorStorage`

    - #### listByProcessInstance

          public List<org.kie.internal.runtime.error.ExecutionError> listByProcessInstance​(Long processInstanceId,
                                                                                           Integer page,
                                                                                           Integer pageSize)

      Specified by:
        `listByProcessInstance` in interface `org.kie.internal.runtime.error.ExecutionErrorStorage`

    - #### listByActivity

          public List<org.kie.internal.runtime.error.ExecutionError> listByActivity​(String activityName,
                                                                                    Integer page,
                                                                                    Integer pageSize)

      Specified by:
        `listByActivity` in interface `org.kie.internal.runtime.error.ExecutionErrorStorage`

    - #### listByDeployment

          public List<org.kie.internal.runtime.error.ExecutionError> listByDeployment​(String deploymentId,
                                                                                      Integer page,
                                                                                      Integer pageSize)

      Specified by:
        `listByDeployment` in interface `org.kie.internal.runtime.error.ExecutionErrorStorage`

    - #### call

          protected <R> R call​(Function<javax.persistence.EntityManager,​R> function)

    - #### getTransactionManager

          protected org.drools.persistence.api.TransactionManager getTransactionManager​(org.kie.api.runtime.Environment environment)

    - #### isSpringTransactionManager

          protected boolean isSpringTransactionManager​(Class<?> clazz)

    - #### isActive

          protected boolean isActive()